#!/bin/bash
# Converts RAW videos to AVI
# usage: raw2avi foo.raw
# output: video.avi

DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"

${DIR}/raw2dng $1
ufraw-batch --out-type=tiff *.dng
rm *.dng
ffmpeg -i %6d.tif -vcodec huffyuv -qscale 1 video.avi
rm *.tif